Skip to main content
GET
/
v5
/
accounting
/
generalLedgerEntries
Get general ledger entries
curl --request GET \
  --url https://sandbox.hurdlr.com/rest/v5/accounting/generalLedgerEntries \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "<string>",
      "entity": "<string>",
      "entityId": 123,
      "description": "<string>",
      "date": "2023-11-07T05:31:56Z",
      "period": "NORMAL",
      "transactions": [
        {
          "glAccountId": 123,
          "drAmount": 123,
          "crAmount": 123
        }
      ]
    }
  ],
  "lastUpdatedDate": "2023-11-07T05:31:56Z",
  "cursor": "<string>",
  "deletedIds": [
    123
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.tight.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Headers

lastUpdatedDate
string

Date filter - returns all records updated after the specified date. Null returns all data

cursor
string

The cursor from the response of the previous GET request. For paginated responses only

limit
integer<int32>

The page size, i.e. the number of items to return. For paginated responses only

Query Parameters

year
integer<int32>

Year filter (YYYY) - returns all records for the specified year. Null will return all entries.

beginDate
string

Begin date filter - returns all records with a date after the specified date.

endDate
string

End date filter - returns all records with a date before the specified date.

Response

200 - application/json

successful operation

data
object[]

The list of entities

lastUpdatedDate
string<date-time>

Date filter - to be used in your subsequent request

cursor
string

Cursor to be used in your subsequent paginated request. Only populated if there are more pages available.

deletedIds
integer<int32>[]

Ids of entities that no longer match the request's filter criteria since the request's lastUpdatedDate